CarbohydrateMonomer
Date: 2019-10-22

org.jmol.modelsetbio

## Class CarbohydrateMonomer

- java.lang.Object
- - org.jmol.modelset.Group
  - - org.jmol.modelsetbio.Monomer
    - - org.jmol.modelsetbio.CarbohydrateMonomer

- All Implemented Interfaces:
    Structure

      public class CarbohydrateMonomer
      extends Monomer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static byte[]` | `alphaOffsets`

    - ### Fields inherited from class org.jmol.modelsetbio.Monomer

      `backboneBlockVis, bioPolymer, monomerIndex, offsets`

    - ### Fields inherited from class org.jmol.modelset.Group

      `chain, dssrNT, firstAtomIndex, group1, group3Names, groupID, groupIndex, lastAtomIndex, leadAtomIndex, selectedIndex, seqcode, shapeVisibilityFlags, specialAtomNames, standardGroupList`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `CarbohydrateMonomer()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `findNearestAtomIndex(int x, int y, Atom[] closest, short madBegin, short madEnd)` Selects LeadAtom when this Monomer is clicked iff it is closer to the user.
    `STR` | `getProteinStructureType()`
    `boolean` | `isCarbohydrate()`
    `(package private) boolean` | `isConnectedAfter(Monomer possiblyPreviousMonomer)`
    `boolean` | `isConnectedPrevious()`
    `(package private) static Monomer` | `validateAndAllocate(Chain chain, java.lang.String group3, int seqcode, int firstIndex, int lastIndex)`

    - ### Methods inherited from class org.jmol.modelsetbio.Monomer

      `checkOptional, getAtomFromOffsetIndex, getAtomIndex, getBioPolymerIndexInModel, getBioPolymerLength, getCrossLinkGroup, getCrossLinkVector, getGroup1, getGroup1b, getGroupParameter, getHelixData2, getInitiatorAtom, getLeadAtom, getMonomerIndex, getMonomerSequenceAtoms, getMyInfo, getQuaternionFrameCenter, getSelectedMonomerCount, getSelectedMonomerIndex, getSpecialAtom, getSpecialAtomPoint, getStructureId, getTerminatorAtom, getUniqueID, getWingAtom, have, isCrossLinked, isHelix, isLeadAtom, isSheet, scanForOffsets, set2, setBioPolymer, setGroupID, setGroupParameter, setLeadAtomIndex, setStrucNo, updateOffsetsForAlternativeLocations`

    - ### Methods inherited from class org.jmol.modelset.Group

      `addAtoms, fixIndices, getBSSideChain, getCarbonylOxygenAtom, getGroup3, getGroupInfo, getHelixData, getInsCode, getInsertionCode, getInsertionCodeChar, getInsertionCodeFor, getLeadAtomOr, getMinZ, getModel, getNitrogenAtom, getProteinStructureSubType, getProteinStructureTag, getQuaternion, getQuaternionFrame, getResno, getSeqcodeFor, getSeqcodeString, getSeqcodeStringFor, getSeqNumberFor, getStrucNo, getStructure, haveSequenceNumber, isAdded, isCursorOnTopOf, isDna, isDnaByID, isNucleic, isNucleicMonomer, isProtein, isPurine, isPurineByID, isPyrimidine, isPyrimidineByID, isRna, isRnaByID, isSelected, isWithinStructure, scaleToScreen, setAtomBits, setAtomBitsAndClear, setGroup, setProteinStructureType, setResno, setShapeVisibility, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### alphaOffsets

          private static final byte[] alphaOffsets

  - ### Constructor Detail

    - #### CarbohydrateMonomer

          private CarbohydrateMonomer()

  - ### Method Detail

    - #### validateAndAllocate

          static Monomer validateAndAllocate(Chain chain,
                                             java.lang.String group3,
                                             int seqcode,
                                             int firstIndex,
                                             int lastIndex)

    - #### isCarbohydrate

          public boolean isCarbohydrate()

      Overrides:
        `isCarbohydrate` in class `Group`

    - #### getProteinStructureType

          public STR getProteinStructureType()

      Overrides:
        `getProteinStructureType` in class `Monomer`

    - #### isConnectedAfter

          boolean isConnectedAfter(Monomer possiblyPreviousMonomer)

      Specified by:
        `isConnectedAfter` in class `Monomer`

    - #### findNearestAtomIndex

          void findNearestAtomIndex(int x,
                                    int y,
                                    Atom[] closest,
                                    short madBegin,
                                    short madEnd)

      Description copied from class: `Monomer`
      Selects LeadAtom when this Monomer is clicked iff it is closer to the user.
      Overrides:
        `findNearestAtomIndex` in class `Monomer`

    - #### isConnectedPrevious

          public boolean isConnectedPrevious()

      Overrides:
        `isConnectedPrevious` in class `Monomer`